/*
 * Space Force Ensign
 * Space Force One Assignment
 * Leading the Way to Space
 * 2019 USA-SFO LLC (Government Grant)
 *
 * In general, some C conventions may be used
 * as the developer is not a C++ programmer.
 * Do not be alarmed.
 *
 * $Id$
 */


#include <Arduino.h>

// system libraries
#include "WiFi.h"

// firmware libraries
#include "ser/vt100.h"

// application
#include "app.h"


// firmware
void print_test(void *p)
{
	vTaskDelete(NULL);
}


// arduino shit
void setup() {
	Serial.begin(115200);
	delay(2000);

	Serial.print(VT_RESET);
	Serial.print(VT_CLS);
	Serial.print(VT_HOME);
	Serial.print(vt100_pos(2, 2));
	Serial.println("hello world");

	// radio config
	WiFi.persistent(false);
	WiFi.mode(WIFI_OFF);
	btStop();

	// ir rx config

	// ir tx config

	// led pwm / selector config

	// infocom config
	app_init();
}

void loop() {
	app_loop();
}
